
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>代码阅读总结之Fitch and Mather 7.0（自定义字符串缓存页） / iVAN</title>

    <meta name="description" content="代码阅读总结之Fitch and Mather 7.0（自定义字符串缓存页） Menus_ascx中我们看到用了缓存自定义字符串&quot;authenticated&quot; &lt;%@ OutputCache Duration=&quot;86400&quot; VaryByParam=&quot;None&quot; VaryByCustom=&quot;authenticated&quot; %&gt; 注意: @OutputCache 指令与必需的 Duration 和 VaryByParam 属性包括在一起.必须将 Duration 属性设置为大于零的任意 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">代码阅读总结之Fitch and Mather 7.0（自定义字符串缓存页）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Menus_ascx中我们看到用了缓存自定义字符串"authenticated"</p>
<p>&lt;%@ OutputCache Duration="86400" VaryByParam="None" VaryByCustom="authenticated" %&gt;</p>
<p>注意: @OutputCache 指令与必需的 Duration 和 VaryByParam 属性包括在一起。必须将 Duration 属性设置为大于零的任意整数。如果不想使用 VaryByParam 属性提供的功能，请将其值设置为 None</p>
<p>在Global.asax文件中重写GetVaryByCustomString方法</p>
<p>此处是根据用户是否验证来缓存用户控件,即一个通过验证的用户控件,一个未验证的用户控件</p>
<pre>
1public override string GetVaryByCustomString(HttpContext context, string custom)
2　　　　{
3　　　　// There are two different possible caching cases here so we return a different string in each one.
4　　　　if(context.Request.IsAuthenticated)
5　　　　　　{
6　　　　　　// Request is authenticated
7　　　　　　return "B";
8　　　　　　}　　　　　　　　　　　　　　　　
9　　　　else
10　　　　　　{
11　　　　　　// Request is not authenticated
12　　　　　　return "C";
13　　　　　　}　　　　　　
14　　　　}</pre>
<p>根据此思路我们可以开发一个依浏览器类型不同的缓存页面的例子</p>
<p>例如我们现有页面WebForm3.aspx,我们可以根据访问着的浏览器类型来做页面缓存</p>
<p>首先在页面中加入</p>
<pre>
&lt;%@ OutputCache Duration="600" VaryByParam="none" VaryByCustom="ietype" %&gt;</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索控件<br />
                    ，                缓存<br />
                    ，                验证<br />
                    ，                页面<br />
                    ，                属性<br />
                                    用户<br />
                                    obs自定义缓存大小、java自定义缓存、mybatis 自定义缓存、glide 自定义缓存路径、自定义缓存，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 19:49:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/%e9%aa%8c%e8%af%81/" title="验证">验证</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>代码阅读总结之Fitch and Mather 7.0（自定义字符串缓存页）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo631Bz.html" rel="bookmark">代码阅读总结之Fitch and Mather 7&period;0（资源文件Resource随笔）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Fitch and Mather 7.0中利用了大量的资源文件 资源文件对创建和本地化提供全面的支持 资源可以包含多种形式的数据,包括字符串.图像和持久的对象 通过在资源文件中存储数据,无需重新编译即可更改数据. 为了将持久对象写入资源文件,这些对象必须是可序列化的. Fitch and Mather 7.0在命名空间FMStocks7.Common中创建了一个ResourcesCollection集会类 此类定义了一个构造器和2个索引器 构造器初始化一个私有的ResourceManager实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr2BJp.html" rel="bookmark">代码阅读总结之Fitch and Mather 7&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net发生异常或错误时错误提示页面的处理方法 当asp.net发生异常或错误时,我们是怎么样处理错误提示页面? 我总结了下面几种方式: i:利用方法Response.Redirect() 看下面2段代码: 1. 在页面admin.aspx中发生异常时 try { //程序逻辑 } catch(OverflowException) { //在选中的上下文中所进行的算术运算.类型转换或转换操作导致溢出时引发的异常 //例如:小于int的MinValue或大于int的MaxValue,异常,转			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKQGAM.html" rel="bookmark">代码阅读总结之ASP&period;NET StartKit Commerce</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP.NET StartKit Commerce简单,容易理解. 我认为是初次学习.NET代码的首选,不怕各位笑话,我曾经完整阅读该项目代码3次. 那么,通过阅读我们能学习到什么知识呢?请看我下面的总结: 1.多层结构的实现 依我见是2层结构:PL层和BLL层(没有明显的DAL层,DAL和BLL共同组成BLL层).但是我们可以学习到Db过程的调用方法. 2.Web服务的简单使用 3.Web用户控件的使用 4.数据绑定的相关知识 让我们先看该项目中的一段代码: &lt;asp:HyperLink cs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwv4KM.html" rel="bookmark">Kryo简介及代码阅读笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更新:2012-08-01 版本 2.16长时间运行可能会导致OOM,版本2.18有bug,不能正确序列化map和collection. 真是悲剧,所用的每一个版本都有bug.不过从代码来看,作者有时的确比较随便..测试用例也少..(比起msgpack少多了) ======================================== Kryo官方网站:https://code.google.com/p/kryo/ 优点:     速度快!见https://github.com/eisha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQ1O4p.html" rel="bookmark">FFMpeg框架代码阅读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				FFMpeg框架代码阅读 内容摘要:FFmpeg是一个集录制.转换.音/视频编码解码功能为一体的完整的开源解决方案.FFmpeg的开发是基于Linux操作系统,但是可以在大多数操作系统中编译和使用.FFmpeg支持MPEG. DivX.MPEG4.AC3.DV.FLV等40多种编码,AVI.MPEG.OGG.Matroska.ASF等90多种解码. TCPMP, VLC, MPlayer等开源播放器都用到了FFmpeg. FFmpeg主目录下主要有libavcodec.libavformat和l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxALLp.html" rel="bookmark">摘自《代码阅读方法与实践》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章:导论要养成一个习惯,经常花时间阅读别人编写的高品质代码.要有选择地阅读代码,同时,还要有自己的目标.您是想学习新的模式.编码风格.还是满足某些需求的方法?要注意并重视代码中特殊的非功能性需求,这些需求也许会导致特定的实现风格.在现有的代码上工作时,请与作者或维护人员进行必须的协调,以避免重复劳动或因此而产生厌恶情绪.请将从开放源码软件中得到的益处看作是一项贷款,尽可能地寻找各种方式来回报开放源码社团.多数情况下,如果您想要了解&quot;别人会如何完成这个功能呢?&quot;,除了阅读代码以外,没			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ7Ryqb.html" rel="bookmark">《Android程序设计》一1&period;6 关于代码阅读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 关于代码阅读 好的编码者会阅读很多代码.本书提供的示例代码旨在既能够提供良好的Java编码示例,也能够说明如何使用Android平台.本书提供的一些例子不具备要创建最佳的可扩展和可维护的商业软件所需要的一些必要条件.很多示例应用选择在单个Java类中创建实例,这样更便于读者理解.但在很多情况下,Android应用超出了示例代码的范畴,导致这些代码不可读并难以维护,但是这并不意味着你不需要阅读那些比大型应用代码更方便的示例代码.下一章将讨论Java语言,主要是帮助你形成良好的工程和设计实践			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6QmOob.html" rel="bookmark">一次&OpenCurlyDoubleQuote;奇幻&rdquo;的Docker libcontainer代码阅读之旅</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编者按:前段时间转载的&lt;5分钟弄懂Docker!&gt;很受欢迎,短短1500字,让大家快速了解了Docker.今天看到作者又出了新作,马上就转过来了.之所以称这次代码阅读为奇幻之旅,是因为作者刘梦馨(@oilbeater)在阅读Docker源码的过程中,发现了几个有趣的事情:从代码来看 Docker 并没有另起炉灶新开发机制,而是将现有经过考验的隔离安全机制能用的全用上,包括 cgroups,capability,namespaces,AppArmor 和 SELinux(CSDN刚刚翻译的文章&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOWENb.html" rel="bookmark">Redis代码阅读3--Redis网络监听（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 这篇文章接上一篇,主要介绍Redis网络监听流程的各个步骤. aeCreateEventLoop :创建用于循环监听的 eventLoop , Redis 支持主流的三种事件触发机制: select ,epoll, kqueue, 可以通过在 config.h 里面配置 HAVE_EPOLL/ HAVE_KQUEUE 来根据不同的操作系统选择合适的机制:调用 ae_epoll.c/ae_select.c/ae_kqueue.c中的 aeApiCreate:创建 eventLoop 的时候没			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy2Jlp.html" rel="bookmark" class="title">剖析CSDN论坛的XML页面（一）</a>
					<div>
						xml|页面     XML+XSL也是近几年大家才开始关注的数据与表示分离的的方式,在国外已经有了不错的应用,但在国内可能应用的范围还不是很广泛.就我自己来看,最早看到的此类应用当然是CSDN的论坛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwGG5z.html" rel="bookmark" class="title">WebClass入门&lpar;2&rpar;</a>
					<div>
						web 7. Webclass 中的事件响应.    $1. .Webclass中预定义的事件有3个 : response , processtag , userevent        .respo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv1Z1b.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;度娘&rdquo;反复无常   站长该如何绝地大反击</a>
					<div>
						一直都听很多站长们讲百度排名很不好做,因为百度给人很不稳定的感觉,百度算法调整的频率比较大,通常是一月一大更,一星期一小更,所以很多站长的排名很不好做,时上时下的,总让人提心吊胆的.在中国,做搜索引擎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo66Xvz.html" rel="bookmark" class="title">使用jQuery简化Ajax开发&mdash;&mdash;Ajax开发入门&lbrack;1&rsqb;</a>
					<div>
						jQuery是一个可以简化 JavaScript以及AJAX(Asynchronous JavaScript + XML,异步Javascript和XML)编程的Javascript库.不同于其他的J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnGXYz.html" rel="bookmark" class="title">保护SQL Server数据库的十大绝招</a>
					<div>
						1. 安装最新的服务包 为了提高服务器安全性,最有效的一个方法就是升级到SQL Server 2000 Service Pack 3a (SP3a).另外,您还应该安装所有已发布的安全更新. 2. 使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NKW0z.html" rel="bookmark" class="title">网线怎么做</a>
					<div>
						关于电脑的网线怎么做是搞网络的人的必修课,也是最为基础的实战项目.网线制作方法有很多,我们在此简单的制作一下现在出现最多的RJ45通用8针网线制作方法. 我们使用网线钳的剥皮功能剥掉网线的外皮,会看到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA21Ob.html" rel="bookmark" class="title">photoshop前景色和背景色工具</a>
					<div>
						今天有同学不清楚前景色和背景色,写了篇简单教程: 在工具栏的下方有一个设置前景色和背景色的区域,如图: 1.前景色介绍 前景色图标表示油漆桶.画笔.铅笔.文字工具和吸管工具在图像中拖动时所用的颜色.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJA0ep.html" rel="bookmark" class="title">PHP&plus;IIS环境下Discuz无法上传图片的解决办法</a>
					<div>
						  我的PHP是刚配置的,配置好就下载安装了Discuz!,没想到不能上传图片,后来我也试下其它的Php程序,同样无法上传图片,确定不是程序的问题,肯定是我的PHP配置有问题.我的PHP是IIS环境下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6B2xb.html" rel="bookmark" class="title">Photoshop给暗色人物照片美白柔肤处理</a>
					<div>
						  效果图 原图 我的思路 另一个思路 更简单的方法 装饰一下         注:更多精彩教程请关注三联photoshop教程栏目,三联PS群:339853166欢迎你的加入 分类: PS图片处理  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwenxp.html" rel="bookmark" class="title">Office办公软件打开时速度会很慢呢 如何设置</a>
					<div>
						  在日常生活中,对于办公人员来说,office办公软件是必不可少的工具.可是当你有时会遇到在启动这些软件过程中反应速度非常慢,有时慢的离谱,甚至是有的内容显示不出来或者不完整(比如有的OA批文中的红 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6nA2b.html" rel="bookmark" class="title">XP系统注册表初始化的两种方法</a>
					<div>
						  我们知道,注册表是电脑里一个非常重要的内容,一旦被病毒攻击就非常严重了,不仅仅是会导致系统崩溃.而一些电脑用户想初始化电脑的注册表,但是又不知道该怎么操作注册表才能初始化.下面,小编就以XP系统为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oJRnb.html" rel="bookmark" class="title">tcp-求网络大牛解决疑难杂症，为何断开连接后，不出现time&lowbar;wait状态</a>
					<div>
						问题描述 求网络大牛解决疑难杂症,为何断开连接后,不出现time_wait状态 我们都知道,tcp/ip协议断开连接是4次挥手,主动断开的一方,最后会进入time_wait状态,等待2MSL后变成CL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNRVVz.html" rel="bookmark" class="title">Javascript基础教程之数据类型 （数值 Number）&lowbar;基础知识</a>
					<div>
						javascript中想限定一个数的数值,无需限定它是整数还是浮点数型 复制代码 代码如下:     var num1 = 80 ;     var num2 = 55.51;     var num ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkQJwb.html" rel="bookmark" class="title">Windows Phone开发（45）：推送通知大结局&mdash;&mdash;Raw通知</a>
					<div>
						原文:Windows Phone开发(45):推送通知大结局--Raw通知 为什么叫大结局呢?因为推送通知服务就只有三种,前面扯了两种,就剩下一种--Raw通知. 前面我们通过两节的动手实验,相信大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7g8Az.html" rel="bookmark" class="title">Spirng&plus;SpringMVC&plus;Maven&plus;Mybatis&plus;MySQL项目搭建</a>
					<div>
						版权声明:本文为博主原创文章,转载注明出处http://blog.csdn.net/u013142781 目录(?)[+] 这篇文章主要讲解使用eclipse对Spirng+SpringMVC+Mav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeKdXb.html" rel="bookmark" class="title">求帮助一个java地铁换乘问题</a>
					<div>
						问题描述 求帮助一个java地铁换乘问题 求帮助一个java地铁换乘问题,我想做一个有关地铁线路换乘的java应用程序,地铁换乘以广州为例.PS可以说明一下制作过程的想法和方法 希望大神可以给我一个完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe0eBb.html" rel="bookmark" class="title">iOS开发拓展篇&mdash;音频处理（音乐播放器5）</a>
					<div>
						实现效果: 一.半透明滑块的设置 1 /** 2 *拖动滑块 3 */ 4 - (IBAction)panSlider:(UIPanGestureRecognizer *)sender { 5 6 / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M943LXb.html" rel="bookmark" class="title">bat与注册表操作的方法分析&lbrack;原创&rsqb;&lowbar;DOS&sol;BAT</a>
					<div>
						bat(批处理)操作注册表的方法,我知道的应该有两种1,结合用reg.exe实现读写注册表2,用bat输出文件,然后regedit /s 1.reg 这样的格式来实现 输出vbs等都是这种 echo  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZxBRz.html" rel="bookmark" class="title">MySQL第二度失势</a>
					<div>
						尽管被Oracle被捕获后,MySQL上的争议就从未停止;如今,MySQL在市场上还是是最具人气的开源数据库. 简单.免费.扩展性.相对成熟等一直都是MySQL的吸引所在,不过,它就像龟兔赛跑里的兔子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXjYBb.html" rel="bookmark" class="title">坚持  谈谈参加A5培训的感受</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 &lt;A5第六期软文培训&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeDdPM.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;使用while for do&period;&period;&period;while分别计算一个数字的阶乘</a>
					<div>
						问题描述 C++使用while for do...while分别计算一个数字的阶乘 C++使用while for do...while分别计算一个数字的阶乘 要求编写三个程序,用三种循环分别实现 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NVV0z.html" rel="bookmark" class="title">PHP Date&lpar;&rpar;日期时间函数详解</a>
					<div>
						php教程 date()日期时间函数详解 php date() 函数可把时间戳格式化为可读性更好的日期和时间. 语法 date(format,timestamp)参数 描述 format 必需.规定时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Nm3nz.html" rel="bookmark" class="title">linux下实现定时执行php脚本&lowbar;php实例</a>
					<div>
						在linux中输入命令 复制代码 代码如下: crontab -e 然后使用vim的命令编辑打开的文件,输入 复制代码 代码如下: 0 * * * * /usr/bin/php -f /home/us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N9Job.html" rel="bookmark" class="title">jquery的getjson实现页面不刷新加载剩余数据方法事件</a>
					<div>
						有了&quot;用JS将一个div插入到指定的一个div中或后面&quot;这篇文章的指引基础,下面还是以情景的模式来叙述怎样用JS做到不刷新加载剩余数据. 案例情景: 一个评论页面,先只显示了10条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7YaBb.html" rel="bookmark" class="title">SqlServer 2005的排名函数使用小结&lowbar;mssql2005</a>
					<div>
						尽管从技术上讲,其它排名函数的计算与ROW_NUMBER类似,但它们的的实际应用却少很多.RANK和DENSE--RANK主要用于排名和积分.NTILE更多地用于分析. 先创建一个示例表: 复制代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGryJEp.html" rel="bookmark" class="title">android notificationlistenerservice 如何用代码启动</a>
					<div>
						问题描述 android notificationlistenerservice 如何用代码启动 如题,我现在清楚有个Intent intent = new Intent(&quot;&quot;an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZLomz.html" rel="bookmark" class="title">全球的广告洪流涌入互联网</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今年全球公司投入在网络广告上的资金 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6V9nM.html" rel="bookmark" class="title">问下这种结构的项目如何发布</a>
					<div>
						问题描述 在学习androidpn服务器源码下载下来发现和平时看到的web项目不一样网上确定说是可以用的并且说直接放tom猫发布就好可是这个不是web项目我怎么样用tom发布?最好不需要导出war包, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2ED0z.html" rel="bookmark" class="title">真假宽带 请把话语权交给网民</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 DCCI的论调:国内宽带基本不及格 根据该报告所述,使用4M宽带的用户平均速度在400KB/s以下的占91.2%;使用2M宽带的用户平均速度在200KB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBd9Zb.html" rel="bookmark" class="title">C&num; DataGridVies禁止自动增加新行。</a>
					<div>
						问题描述 datagridview编辑行后,下方自动增加一行.想要禁止,但如果采用这条语句:dataGridView1.AllowUserToAddRows=false;原本datagridview添 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
